--- !ruby/object:RDoc::RI::ModuleDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:RDoc::Markup::Flow::P 
  :body: This class was contributed by Mikko Tiihonen mikko DOT tiihonen AT hut DOT fi
- !ruby/struct:RDoc::Markup::Flow::RULE 
  :width: 1
- !ruby/struct:RDoc::Markup::Flow::P 
  :body: This class was contributed by Mikko Tiihonen mikko DOT tiihonen AT hut DOT fi
- !ruby/struct:RDoc::Markup::Flow::RULE 
  :width: 1
- !ruby/struct:RDoc::Markup::Flow::P 
  :body: "[ :element, parent, name, attributes, children* ] a = Node.new a &lt;&lt; &quot;B&quot; # =&gt; &lt;a&gt;B&lt;/a&gt; a.b # =&gt; &lt;a&gt;B&lt;b/&gt;&lt;/a&gt; a.b[1] # =&gt; &lt;a&gt;B&lt;b/&gt;&lt;b/&gt;&lt;a&gt; a.b[1][&quot;x&quot;] = &quot;y&quot; # =&gt; &lt;a&gt;B&lt;b/&gt;&lt;b x=&quot;y&quot;/&gt;&lt;/a&gt; a.b[0].c # =&gt; &lt;a&gt;B<b>&lt;c/&gt;</b>&lt;b x=&quot;y&quot;/&gt;&lt;/a&gt; a.b.c &lt;&lt; &quot;D&quot; # =&gt; &lt;a&gt;B<b>&lt;c&gt;D&lt;/c&gt;</b>&lt;b x=&quot;y&quot;/&gt;&lt;/a&gt;"
constants: []

full_name: REXML
includes: []

instance_methods: []

name: REXML
